Index: gcc/testsuite/gnat.dg/nested_float_packed.ads
===================================================================
--- gcc/testsuite/gnat.dg/nested_float_packed.ads	(.../tags/gcc_4_7_2_release)	(wersja 194650)
+++ gcc/testsuite/gnat.dg/nested_float_packed.ads	(.../branches/gcc-4_7-branch)	(wersja 194650)
@@ -1,5 +1,3 @@
--- { dg-do compile }
-
 package Nested_Float_Packed is
 
    type Float_Type is record
@@ -20,5 +18,3 @@
    Data_Block : array (Range_Type)
      of Data_Type := (others => Default_Data);
 end;
-
-
Index: gcc/testsuite/gnat.dg/lto15.adb
===================================================================
--- gcc/testsuite/gnat.dg/lto15.adb	(.../tags/gcc_4_7_2_release)	(wersja 194650)
+++ gcc/testsuite/gnat.dg/lto15.adb	(.../branches/gcc-4_7-branch)	(wersja 194650)
@@ -1,5 +1,6 @@
 -- { dg-do compile }
 -- { dg-options "-O -flto -g" }
+-- { dg-require-effective-target lto }
 
 package body Lto15 is
 
Index: gcc/testsuite/gnat.dg/specs/oconst6.ads
===================================================================
--- gcc/testsuite/gnat.dg/specs/oconst6.ads	(.../tags/gcc_4_7_2_release)	(wersja 0)
+++ gcc/testsuite/gnat.dg/specs/oconst6.ads	(.../branches/gcc-4_7-branch)	(wersja 194650)
@@ -0,0 +1,18 @@
+-- { dg-do compile }
+-- { dg-final { scan-assembler-not "elabs" } }
+
+package OCONST6 is
+
+   type Sequence is array (1 .. 1) of Natural;
+
+   type Message is record
+      Data : Sequence;
+   end record;
+
+   for Message'Alignment use 1;
+   pragma PACK (Message);
+
+   ACK : Message := (Data => (others => 1));
+
+end;
+
Index: gcc/testsuite/gnat.dg/specs/atomic1.ads
===================================================================
--- gcc/testsuite/gnat.dg/specs/atomic1.ads	(.../tags/gcc_4_7_2_release)	(wersja 194650)
+++ gcc/testsuite/gnat.dg/specs/atomic1.ads	(.../branches/gcc-4_7-branch)	(wersja 194650)
@@ -6,11 +6,11 @@
   type UA is access all Arr;
 
   U : UA;
-  pragma Atomic (U);  -- { dg-error "atomic access" }
+  pragma Atomic (U);  -- { dg-error "atomic access" "" { xfail mips*-*-* } }
 
   type R is record
     U : UA;
-    pragma Atomic (U);  -- { dg-error "atomic access" }
+    pragma Atomic (U);  -- { dg-error "atomic access" "" { xfail mips*-*-* } }
   end record;
 
 end Atomic1;
Index: gcc/testsuite/gnat.dg/specs/addr1.ads
===================================================================
--- gcc/testsuite/gnat.dg/specs/addr1.ads	(.../tags/gcc_4_7_2_release)	(wersja 194650)
+++ gcc/testsuite/gnat.dg/specs/addr1.ads	(.../branches/gcc-4_7-branch)	(wersja 194650)
@@ -18,18 +18,18 @@
   A: Arr (1 .. 4);
 
   Obj1: Rec1;
-  for Obj1'Address use A'Address; -- { dg-bogus "alignment" }
+  for Obj1'Address use A'Address; -- { dg-bogus "(alignment|erroneous)" }
 
   Obj2: Rec2;
-  for Obj2'Address use A'Address; -- { dg-bogus "alignment" }
+  for Obj2'Address use A'Address; -- { dg-bogus "(alignment|erroneous)" "" { xfail mips*-*-* } }
 
   Obj3: Rec1;
-  for Obj3'Address use A(1)'Address; -- { dg-bogus "alignment" }
+  for Obj3'Address use A(1)'Address; -- { dg-bogus "(alignment|erroneous)" }
 
   Obj4: Rec1;
   for Obj4'Address use A(2)'Address; -- { dg-warning "(alignment|erroneous)" }
 
   Obj5: Rec1;
-  for Obj5'Address use A(3)'Address; -- { dg-bogus "alignment" }
+  for Obj5'Address use A(3)'Address; -- { dg-bogus "(alignment|erroneous)" }
 
 end Addr1;
Index: gcc/testsuite/gnat.dg/atomic5.adb
===================================================================
--- gcc/testsuite/gnat.dg/atomic5.adb	(.../tags/gcc_4_7_2_release)	(wersja 194650)
+++ gcc/testsuite/gnat.dg/atomic5.adb	(.../branches/gcc-4_7-branch)	(wersja 194650)
@@ -1,3 +1,5 @@
+-- { dg-do compile }
+
 package body Atomic5 is
 
   function Create return R is
Index: gcc/testsuite/gnat.dg/atomic5.ads
===================================================================
--- gcc/testsuite/gnat.dg/atomic5.ads	(.../tags/gcc_4_7_2_release)	(wersja 194650)
+++ gcc/testsuite/gnat.dg/atomic5.ads	(.../branches/gcc-4_7-branch)	(wersja 194650)
@@ -1,5 +1,3 @@
--- { dg-do compile }
-
 with Unchecked_Conversion;
 
 package Atomic5 is
Index: gcc/testsuite/gnat.dg/discr29.adb
===================================================================
--- gcc/testsuite/gnat.dg/discr29.adb	(.../tags/gcc_4_7_2_release)	(wersja 194650)
+++ gcc/testsuite/gnat.dg/discr29.adb	(.../branches/gcc-4_7-branch)	(wersja 194650)
@@ -1,3 +1,5 @@
+-- { dg-do compile }
+
 package body Discr29 is
 
    procedure Proc (R : out Rec3) is
Index: gcc/testsuite/gnat.dg/discr29.ads
===================================================================
--- gcc/testsuite/gnat.dg/discr29.ads	(.../tags/gcc_4_7_2_release)	(wersja 194650)
+++ gcc/testsuite/gnat.dg/discr29.ads	(.../branches/gcc-4_7-branch)	(wersja 194650)
@@ -1,5 +1,3 @@
--- { dg-do compile }
-
 package Discr29 is
 
    type Rec1 is record
Index: gcc/testsuite/gcc.dg/pr54121.c
===================================================================
--- gcc/testsuite/gcc.dg/pr54121.c	(.../tags/gcc_4_7_2_release)	(wersja 0)
+++ gcc/testsuite/gcc.dg/pr54121.c	(.../branches/gcc-4_7-branch)	(wersja 194650)
@@ -0,0 +1,94 @@
+/* PR target/54121 */
+/* Reported by Jan Engelhardt <jengelh@inai.de> */
+
+/* { dg-do compile { target fpic } } */
+/* { dg-options "-std=gnu99 -O -fPIC -fprofile-generate" } */
+
+typedef __SIZE_TYPE__ size_t;
+typedef unsigned char uint8_t;
+
+extern void *memcpy (void *__restrict __dest,
+       __const void *__restrict __src, size_t __n)
+     __attribute__ ((__nothrow__)) __attribute__ ((__nonnull__ (1, 2)));
+
+typedef enum {
+ LZMA_OK = 0,
+ LZMA_STREAM_END = 1,
+ LZMA_NO_CHECK = 2,
+ LZMA_UNSUPPORTED_CHECK = 3,
+ LZMA_GET_CHECK = 4,
+ LZMA_MEM_ERROR = 5,
+ LZMA_MEMLIMIT_ERROR = 6,
+ LZMA_FORMAT_ERROR = 7,
+ LZMA_OPTIONS_ERROR = 8,
+ LZMA_DATA_ERROR = 9,
+ LZMA_BUF_ERROR = 10,
+ LZMA_PROG_ERROR = 11,
+} lzma_ret;
+
+typedef enum {
+ LZMA_RUN = 0,
+ LZMA_SYNC_FLUSH = 1,
+ LZMA_FULL_FLUSH = 2,
+ LZMA_FINISH = 3
+} lzma_action;
+
+typedef struct {
+ void *( *alloc)(void *opaque, size_t nmemb, size_t size);
+ void ( *free)(void *opaque, void *ptr);
+ void *opaque;
+} lzma_allocator;
+
+typedef struct lzma_coder_s lzma_coder;
+
+typedef struct lzma_next_coder_s lzma_next_coder;
+
+typedef struct lzma_filter_info_s lzma_filter_info;
+
+typedef lzma_ret (*lzma_init_function)(
+  lzma_next_coder *next, lzma_allocator *allocator,
+  const lzma_filter_info *filters);
+
+typedef lzma_ret (*lzma_code_function)(
+  lzma_coder *coder, lzma_allocator *allocator,
+  const uint8_t *restrict in, size_t *restrict in_pos,
+  size_t in_size, uint8_t *restrict out,
+  size_t *restrict out_pos, size_t out_size,
+  lzma_action action);
+
+typedef void (*lzma_end_function)(
+  lzma_coder *coder, lzma_allocator *allocator);
+
+typedef struct {
+ uint8_t *buf;
+ size_t pos;
+ size_t size;
+} lzma_dict;
+
+typedef struct {
+ lzma_coder *coder;
+ lzma_ret (*code)(lzma_coder *restrict coder,
+   lzma_dict *restrict dict, const uint8_t *restrict in,
+   size_t *restrict in_pos, size_t in_size);
+} lzma_lz_decoder;
+
+struct lzma_coder_s {
+ lzma_dict dict;
+ lzma_lz_decoder lz;
+};
+
+lzma_ret
+decode_buffer(lzma_coder *coder,
+  const uint8_t *restrict in, size_t *restrict in_pos,
+  size_t in_size, uint8_t *restrict out, size_t *restrict out_pos)
+{
+ while (1) {
+  const size_t dict_start = coder->dict.pos;
+  const lzma_ret ret
+    = coder->lz.code( coder->lz.coder, &coder->dict, in, in_pos, in_size);
+  const size_t copy_size = coder->dict.pos - dict_start;
+  memcpy(out + *out_pos, coder->dict.buf + dict_start, copy_size);
+  if (ret != LZMA_OK || coder->dict.pos < coder->dict.size)
+   return ret;
+ }
+}
Index: gcc/testsuite/gcc.dg/pr53701.c
===================================================================
--- gcc/testsuite/gcc.dg/pr53701.c	(.../tags/gcc_4_7_2_release)	(wersja 0)
+++ gcc/testsuite/gcc.dg/pr53701.c	(.../branches/gcc-4_7-branch)	(wersja 194650)
@@ -0,0 +1,59 @@
+/* { dg-do compile { target powerpc*-*-* ia64-*-* i?86-*-* x86_64-*-* } } */
+/* { dg-options "-O3 -fselective-scheduling2 -fsel-sched-pipelining" } */
+typedef unsigned short int uint16_t;
+typedef unsigned long int uintptr_t;
+typedef struct GFX_VTABLE
+{
+  int color_depth;
+  unsigned char *line[];
+}
+BITMAP;
+extern int _drawing_mode;
+extern BITMAP *_drawing_pattern;
+extern int _drawing_y_anchor;
+extern unsigned int _drawing_x_mask;
+extern unsigned int _drawing_y_mask;
+extern uintptr_t bmp_write_line (BITMAP *, int);
+  void
+_linear_hline15 (BITMAP * dst, int dx1, int dy, int dx2, int color)
+{
+  int w;
+  if (_drawing_mode == 0)
+  {
+    int x, curw;
+    unsigned short *sline =
+      (unsigned short *) (_drawing_pattern->
+          line[((dy) -
+            _drawing_y_anchor) & _drawing_y_mask]);
+    unsigned short *s;
+    unsigned short *d =
+      ((unsigned short *) (bmp_write_line (dst, dy)) + (dx1));
+    s = ((unsigned short *) (sline) + (x));
+    if (_drawing_mode == 2)
+    {
+    }
+    else if (_drawing_mode == 3)
+    {
+      do
+      {
+        w -= curw;
+        do
+        {
+          unsigned long c = (*(s));
+          if (!((unsigned long) (c) == 0x7C1F))
+          {
+            (*((uint16_t *) ((uintptr_t) (d))) = ((color)));
+          }
+          ((s)++);
+        }
+        while (--curw > 0);
+        s = sline;
+        curw =
+          (((w) <
+            ((int) _drawing_x_mask +
+             1)) ? (w) : ((int) _drawing_x_mask + 1));
+      }
+      while (curw > 0);
+    }
+  }
+}
Index: gcc/testsuite/gcc.dg/c90-const-expr-8.c
===================================================================
--- gcc/testsuite/gcc.dg/c90-const-expr-8.c	(.../tags/gcc_4_7_2_release)	(wersja 194650)
+++ gcc/testsuite/gcc.dg/c90-const-expr-8.c	(.../branches/gcc-4_7-branch)	(wersja 194650)
@@ -22,6 +22,6 @@
   E5 = 0 * -INT_MIN, /* { dg-warning "12:integer overflow in expression" } */
   /* { dg-error "3:overflow in constant expression" "constant" { target *-*-* } 22 } */
   E6 = 0 * !-INT_MIN, /* { dg-warning "13:integer overflow in expression" } */
-  /* { dg-error "3:not an integer constant" "constant" { target *-*-* } 24 } */
+  /* { dg-error "8:not an integer constant" "constant" { target *-*-* } 24 } */
   E7 = INT_MIN % -1 /* Not an overflow.  */
 };
Index: gcc/testsuite/gcc.dg/pr55570.c
===================================================================
--- gcc/testsuite/gcc.dg/pr55570.c	(.../tags/gcc_4_7_2_release)	(wersja 0)
+++ gcc/testsuite/gcc.dg/pr55570.c	(.../branches/gcc-4_7-branch)	(wersja 194650)
@@ -0,0 +1,4 @@
+/* PR c/55570 */
+/* { dg-do compile } */
+
+char array[16] __attribute__((aligned (SOME_NOT_DEFINED_MACRO))); /* { dg-error "requested alignment is not an integer constant" } */
Index: gcc/testsuite/gcc.dg/pr55019.c
===================================================================
--- gcc/testsuite/gcc.dg/pr55019.c	(.../tags/gcc_4_7_2_release)	(wersja 0)
+++ gcc/testsuite/gcc.dg/pr55019.c	(.../branches/gcc-4_7-branch)	(wersja 194650)
@@ -0,0 +1,41 @@
+/* { dg-do run } */
+/* { dg-options "-O1 -funroll-loops" } */
+/* { dg-add-options ieee } */
+
+extern void exit (int);
+extern void abort (void);
+
+void
+compare (double a, double b)
+{
+  do
+    {
+      double s1 = __builtin_copysign ((double) 1.0, a);
+      double s2 = __builtin_copysign ((double) 1.0, b);
+
+      if (s1 != s2)
+        abort ();
+
+      if ((__builtin_isnan (a) != 0) != (__builtin_isnan (b) != 0))
+        abort ();
+
+      if ((a != b) != (__builtin_isnan (a) != 0))
+        abort ();
+    } while (0);
+}
+
+int
+main ()
+{
+  double a = 0.0;
+  double b = 0.0;
+  _Complex double cr = __builtin_complex (a, b);
+  static _Complex double cs = __builtin_complex (0.0, 0.0);
+
+  compare (__real__ cr, 0.0);
+  compare (__imag__ cr, 0.0);
+  compare (__real__ cs, 0.0);
+  compare (__imag__ cs, 0.0);
+
+  exit (0);
+}
Index: gcc/testsuite/gcc.dg/torture/pr54894.c
===================================================================
--- gcc/testsuite/gcc.dg/torture/pr54894.c	(.../tags/gcc_4_7_2_release)	(wersja 0)
+++ gcc/testsuite/gcc.dg/torture/pr54894.c	(.../branches/gcc-4_7-branch)	(wersja 194650)
@@ -0,0 +1,27 @@
+/* { dg-do compile } */
+
+typedef unsigned long long uint64_t;
+
+#define n 4096
+double A[n][n] __attribute__((aligned(16)));
+double B[n][n] __attribute__((aligned(16)));
+double C[n][n] __attribute__((aligned(16)));
+
+#define tilesize 128
+
+typedef double adouble __attribute__((__aligned__(16)));
+
+void foo ()
+{
+  int ih, jh, kh, il, kl, jl;
+  for (ih = 0; ih < n; ih += tilesize) 
+    for (jh = 0; jh < n; jh += tilesize)                 
+      for (kh = 0; kh < n; kh += tilesize)                      
+	for (il = 0; il < tilesize; ++il)
+	  {
+	    adouble *Ap = (adouble *)&A[ih+il][kh];
+	    for (kl = 0; kl < tilesize; ++kl)
+	      for (jl = 0; jl < tilesize; ++jl)
+		C[ih+il][jh+jl] += Ap[kl] * B[kh+kl][jh+jl];
+	  }
+}
Index: gcc/testsuite/gcc.dg/torture/pr54877.c
===================================================================
--- gcc/testsuite/gcc.dg/torture/pr54877.c	(.../tags/gcc_4_7_2_release)	(wersja 0)
+++ gcc/testsuite/gcc.dg/torture/pr54877.c	(.../branches/gcc-4_7-branch)	(wersja 194650)
@@ -0,0 +1,23 @@
+/* PR tree-optimization/54877 */
+/* { dg-do run } */
+/* { dg-options "-ffast-math" } */
+
+extern void abort (void);
+
+int
+foo (void)
+{
+  double d;
+  int i;
+  for (i = 0, d = 0; i < 64; i++)
+    d--;
+  return (int) d;
+}
+
+int
+main ()
+{
+  if (foo () != -64)
+    abort ();
+  return 0;
+}
Index: gcc/testsuite/gcc.dg/torture/pr53663-1.c
===================================================================
--- gcc/testsuite/gcc.dg/torture/pr53663-1.c	(.../tags/gcc_4_7_2_release)	(wersja 0)
+++ gcc/testsuite/gcc.dg/torture/pr53663-1.c	(.../branches/gcc-4_7-branch)	(wersja 194650)
@@ -0,0 +1,30 @@
+/* { dg-do run } */
+
+extern void abort (void);
+
+union u
+{
+  int i;
+  _Bool b;
+};
+
+void f(union u * vp, union u v)
+{
+  *vp = v;
+}
+
+int main()
+{
+  union u v;
+  union u v1;
+  union u v2;
+
+  v.i = 10;
+  f(&v1, v);
+
+  v.b = 0;
+  f(&v2, v);
+  if (v2.b != 0)
+    abort ();
+  return 0;
+}
Index: gcc/testsuite/gcc.dg/torture/pr53922.c
===================================================================
--- gcc/testsuite/gcc.dg/torture/pr53922.c	(.../tags/gcc_4_7_2_release)	(wersja 194650)
+++ gcc/testsuite/gcc.dg/torture/pr53922.c	(.../branches/gcc-4_7-branch)	(wersja 194650)
@@ -1,5 +1,6 @@
 /* { dg-do run } */
 /* { dg-require-weak "" } */
+/* { dg-skip-if "No undefined weak" { hppa*-*-hpux* && { ! lp64 } } { "*" } { "" } } */
 
 int x(int a)
 {
Index: gcc/testsuite/gcc.dg/torture/pr54920.c
===================================================================
--- gcc/testsuite/gcc.dg/torture/pr54920.c	(.../tags/gcc_4_7_2_release)	(wersja 0)
+++ gcc/testsuite/gcc.dg/torture/pr54920.c	(.../branches/gcc-4_7-branch)	(wersja 194650)
@@ -0,0 +1,14 @@
+/* { dg-do compile } */
+/* { dg-options "-fno-common" { target { hppa*-*-hpux* } } } */
+
+typedef short __v8hi __attribute__ ((__vector_size__ (16)));
+typedef long long __m128i __attribute__ ((__vector_size__ (16)));
+int a;
+__m128i b;
+
+void
+fn1 ()
+{
+  while (1)
+    b = (__m128i) (__v8hi) { a, 0, 0, 0, 0, 0 };
+}
Index: gcc/testsuite/gcc.dg/torture/pr53663-2.c
===================================================================
--- gcc/testsuite/gcc.dg/torture/pr53663-2.c	(.../tags/gcc_4_7_2_release)	(wersja 0)
+++ gcc/testsuite/gcc.dg/torture/pr53663-2.c	(.../branches/gcc-4_7-branch)	(wersja 194650)
@@ -0,0 +1,24 @@
+/* { dg-do run } */
+
+extern void abort (void);
+
+union u
+{
+  int i;
+  short f;
+} v;
+
+short foo (short *f)
+{
+  *f = 1;
+  v.i = 0;
+  v.f = 0;
+  return *f;
+}
+
+int main()
+{
+  if (foo (&v.f) != 0)
+    abort ();
+  return 0;
+}
Index: gcc/testsuite/gcc.dg/torture/pr53663-3.c
===================================================================
--- gcc/testsuite/gcc.dg/torture/pr53663-3.c	(.../tags/gcc_4_7_2_release)	(wersja 0)
+++ gcc/testsuite/gcc.dg/torture/pr53663-3.c	(.../branches/gcc-4_7-branch)	(wersja 194650)
@@ -0,0 +1,24 @@
+/* { dg-do run } */
+
+extern void abort (void);
+
+union u
+{
+  int i;
+  float f;
+} v;
+
+float foo (float *f)
+{
+  *f = 1;
+  v.i = 0;
+  v.f = 0.;
+  return *f;
+}
+
+int main()
+{
+  if (foo (&v.f) != 0.)
+    abort ();
+  return 0;
+}
Index: gcc/testsuite/gcc.dg/pr45259.c
===================================================================
--- gcc/testsuite/gcc.dg/pr45259.c	(.../tags/gcc_4_7_2_release)	(wersja 194650)
+++ gcc/testsuite/gcc.dg/pr45259.c	(.../branches/gcc-4_7-branch)	(wersja 194650)
@@ -1,6 +1,7 @@
 /* PR debug/45259 */
 /* { dg-do compile } */
-/* { dg-options "-g -O2 -fpic -w" { target fpic } } */
+/* { dg-options "-g -O2 -w -fpic" { target fpic } } */
+/* { dg-options "-g -O2 -w" { target { ! fpic } } } */
 
 struct S { void (*bar) (long); };
 struct T { struct S *t; };
Index: gcc/testsuite/gcc.dg/vect/no-vfa-vect-79.c
===================================================================
--- gcc/testsuite/gcc.dg/vect/no-vfa-vect-79.c	(.../tags/gcc_4_7_2_release)	(wersja 194650)
+++ gcc/testsuite/gcc.dg/vect/no-vfa-vect-79.c	(.../branches/gcc-4_7-branch)	(wersja 194650)
@@ -46,6 +46,6 @@
   If/when the aliasing problems are resolved, unalignment may
   prevent vectorization on some targets.  */
 /* { dg-final { scan-tree-dump-times "vectorized 1 loops" 1 "vect"  { xfail *-*-* } } } */
-/* { dg-final { scan-tree-dump-times "can't determine dependence" 1 "vect" { xfail vect_multiple_sizes } } } */
+/* { dg-final { scan-tree-dump-times "can't determine dependence" 1 "vect" { target { ! vect_multiple_sizes } } } } */
 /* { dg-final { scan-tree-dump-times "can't determine dependence" 2 "vect" { target vect_multiple_sizes } } } */
 /* { dg-final { cleanup-tree-dump "vect" } } */
Index: gcc/testsuite/gcc.dg/vect/no-vfa-vect-102a.c
===================================================================
--- gcc/testsuite/gcc.dg/vect/no-vfa-vect-102a.c	(.../tags/gcc_4_7_2_release)	(wersja 194650)
+++ gcc/testsuite/gcc.dg/vect/no-vfa-vect-102a.c	(.../branches/gcc-4_7-branch)	(wersja 194650)
@@ -53,7 +53,7 @@
 }
 
 /* { dg-final { scan-tree-dump-times "vectorized 1 loops" 0 "vect" } } */
-/* { dg-final { scan-tree-dump-times "possible dependence between data-refs" 1 "vect" { xfail vect_multiple_sizes } } } */
+/* { dg-final { scan-tree-dump-times "possible dependence between data-refs" 1 "vect" { target { ! vect_multiple_sizes } } } } */
 /* { dg-final { scan-tree-dump-times "possible dependence between data-refs" 2 "vect" { target vect_multiple_sizes } } } */
 /* { dg-final { cleanup-tree-dump "vect" } } */
 
Index: gcc/testsuite/gcc.dg/vect/vect-outer-3a-big-array.c
===================================================================
--- gcc/testsuite/gcc.dg/vect/vect-outer-3a-big-array.c	(.../tags/gcc_4_7_2_release)	(wersja 194650)
+++ gcc/testsuite/gcc.dg/vect/vect-outer-3a-big-array.c	(.../branches/gcc-4_7-branch)	(wersja 194650)
@@ -49,6 +49,6 @@
 }
 
 /* { dg-final { scan-tree-dump-times "OUTER LOOP VECTORIZED" 1 "vect" { xfail vect_no_align } } } */
-/* { dg-final { scan-tree-dump-times "step doesn't divide the vector-size" 2 "vect" { xfail vect_multiple_sizes } } } */
+/* { dg-final { scan-tree-dump-times "step doesn't divide the vector-size" 2 "vect" { target { ! vect_multiple_sizes } } } } */
 /* { dg-final { scan-tree-dump-times "step doesn't divide the vector-size" 3 "vect" { target vect_multiple_sizes } } } */
 /* { dg-final { cleanup-tree-dump "vect" } } */
Index: gcc/testsuite/gcc.dg/vect/vect-outer-1a.c
===================================================================
--- gcc/testsuite/gcc.dg/vect/vect-outer-1a.c	(.../tags/gcc_4_7_2_release)	(wersja 194650)
+++ gcc/testsuite/gcc.dg/vect/vect-outer-1a.c	(.../branches/gcc-4_7-branch)	(wersja 194650)
@@ -20,6 +20,6 @@
 }
 
 /* { dg-final { scan-tree-dump-times "OUTER LOOP VECTORIZED" 1 "vect" { xfail *-*-* } } } */
-/* { dg-final { scan-tree-dump-times "strided access in outer loop" 1 "vect" { xfail vect_multiple_sizes } } } */
+/* { dg-final { scan-tree-dump-times "strided access in outer loop" 1 "vect" { target { ! vect_multiple_sizes } } } } */
 /* { dg-final { scan-tree-dump-times "strided access in outer loop" 2 "vect" { target vect_multiple_sizes } } } */
 /* { dg-final { cleanup-tree-dump "vect" } } */
Index: gcc/testsuite/gcc.dg/vect/fast-math-pr35982.c
===================================================================
--- gcc/testsuite/gcc.dg/vect/fast-math-pr35982.c	(.../tags/gcc_4_7_2_release)	(wersja 194650)
+++ gcc/testsuite/gcc.dg/vect/fast-math-pr35982.c	(.../branches/gcc-4_7-branch)	(wersja 194650)
@@ -21,5 +21,5 @@
 }
 
 /* { dg-final { scan-tree-dump-times "vectorized 1 loops" 1 "vect" { target { vect_extract_even_odd || vect_strided2 } } } } */
-/* { dg-final { scan-tree-dump-times "vectorized 0 loops" 1 "vect" { xfail { vect_extract_even_odd || vect_strided2 } } } } */
+/* { dg-final { scan-tree-dump-times "vectorized 0 loops" 1 "vect" { target { ! { vect_extract_even_odd || vect_strided2 } } } } } */
 /* { dg-final { cleanup-tree-dump "vect" } } */
Index: gcc/testsuite/gcc.dg/vect/vect-outer-1b.c
===================================================================
--- gcc/testsuite/gcc.dg/vect/vect-outer-1b.c	(.../tags/gcc_4_7_2_release)	(wersja 194650)
+++ gcc/testsuite/gcc.dg/vect/vect-outer-1b.c	(.../branches/gcc-4_7-branch)	(wersja 194650)
@@ -22,6 +22,6 @@
 }
 
 /* { dg-final { scan-tree-dump-times "OUTER LOOP VECTORIZED" 1 "vect" { xfail *-*-* } } } */
-/* { dg-final { scan-tree-dump-times "strided access in outer loop" 1 "vect" { xfail vect_multiple_sizes } } } */
+/* { dg-final { scan-tree-dump-times "strided access in outer loop" 1 "vect" { target { ! vect_multiple_sizes } } } } */
 /* { dg-final { scan-tree-dump-times "strided access in outer loop" 2 "vect" { target vect_multiple_sizes } } } */
 /* { dg-final { cleanup-tree-dump "vect" } } */
Index: gcc/testsuite/gcc.dg/vect/vect-outer-1a-big-array.c
===================================================================
--- gcc/testsuite/gcc.dg/vect/vect-outer-1a-big-array.c	(.../tags/gcc_4_7_2_release)	(wersja 194650)
+++ gcc/testsuite/gcc.dg/vect/vect-outer-1a-big-array.c	(.../branches/gcc-4_7-branch)	(wersja 194650)
@@ -20,6 +20,6 @@
 }
 
 /* { dg-final { scan-tree-dump-times "OUTER LOOP VECTORIZED" 1 "vect" { xfail *-*-* } } } */
-/* { dg-final { scan-tree-dump-times "strided access in outer loop" 1 "vect" { xfail vect_multiple_sizes } } } */
+/* { dg-final { scan-tree-dump-times "strided access in outer loop" 1 "vect" { target { ! vect_multiple_sizes } } } } */
 /* { dg-final { scan-tree-dump-times "strided access in outer loop" 2 "vect" { target vect_multiple_sizes } } } */
 /* { dg-final { cleanup-tree-dump "vect" } } */
Index: gcc/testsuite/gcc.dg/vect/vect-outer-2b.c
===================================================================
--- gcc/testsuite/gcc.dg/vect/vect-outer-2b.c	(.../tags/gcc_4_7_2_release)	(wersja 194650)
+++ gcc/testsuite/gcc.dg/vect/vect-outer-2b.c	(.../branches/gcc-4_7-branch)	(wersja 194650)
@@ -37,6 +37,6 @@
   return 0;
 }
 
-/* { dg-final { scan-tree-dump-times "strided access in outer loop" 1 "vect" { xfail vect_multiple_sizes } } } */
+/* { dg-final { scan-tree-dump-times "strided access in outer loop" 1 "vect" { target { ! vect_multiple_sizes } } } } */
 /* { dg-final { scan-tree-dump-times "strided access in outer loop" 2 "vect" { target vect_multiple_sizes } } } */
 /* { dg-final { cleanup-tree-dump "vect" } } */
Index: gcc/testsuite/gcc.dg/vect/vect-outer-3a.c
===================================================================
--- gcc/testsuite/gcc.dg/vect/vect-outer-3a.c	(.../tags/gcc_4_7_2_release)	(wersja 194650)
+++ gcc/testsuite/gcc.dg/vect/vect-outer-3a.c	(.../branches/gcc-4_7-branch)	(wersja 194650)
@@ -49,6 +49,6 @@
 }
 
 /* { dg-final { scan-tree-dump-times "OUTER LOOP VECTORIZED" 1 "vect" { xfail vect_no_align } } } */
-/* { dg-final { scan-tree-dump-times "step doesn't divide the vector-size" 2 "vect" { xfail vect_multiple_sizes } } } */
+/* { dg-final { scan-tree-dump-times "step doesn't divide the vector-size" 2 "vect" { target { ! vect_multiple_sizes } } } } */
 /* { dg-final { scan-tree-dump-times "step doesn't divide the vector-size" 3 "vect" { target vect_multiple_sizes } } } */
 /* { dg-final { cleanup-tree-dump "vect" } } */
Index: gcc/testsuite/gcc.dg/vect/no-vfa-vect-37.c
===================================================================
--- gcc/testsuite/gcc.dg/vect/no-vfa-vect-37.c	(.../tags/gcc_4_7_2_release)	(wersja 194650)
+++ gcc/testsuite/gcc.dg/vect/no-vfa-vect-37.c	(.../branches/gcc-4_7-branch)	(wersja 194650)
@@ -58,6 +58,6 @@
    If/when the aliasing problems are resolved, unalignment may
    prevent vectorization on some targets.  */
 /* { dg-final { scan-tree-dump-times "vectorized 2 loops" 1 "vect" { xfail *-*-* } } } */
-/* { dg-final { scan-tree-dump-times "can't determine dependence" 2 "vect" { xfail vect_multiple_sizes } } } */
+/* { dg-final { scan-tree-dump-times "can't determine dependence" 2 "vect" { target { ! vect_multiple_sizes } } } } */
 /* { dg-final { scan-tree-dump-times "can't determine dependence" 4 "vect" { target vect_multiple_sizes } } } */
 /* { dg-final { cleanup-tree-dump "vect" } } */
Index: gcc/testsuite/gcc.dg/vect/vect-outer-3b.c
===================================================================
--- gcc/testsuite/gcc.dg/vect/vect-outer-3b.c	(.../tags/gcc_4_7_2_release)	(wersja 194650)
+++ gcc/testsuite/gcc.dg/vect/vect-outer-3b.c	(.../branches/gcc-4_7-branch)	(wersja 194650)
@@ -49,6 +49,6 @@
 }
 
 /* { dg-final { scan-tree-dump-times "OUTER LOOP VECTORIZED" 1 "vect" { xfail *-*-* } } } */
-/* { dg-final { scan-tree-dump-times "strided access in outer loop" 2 "vect" { xfail vect_multiple_sizes } } } */
+/* { dg-final { scan-tree-dump-times "strided access in outer loop" 2 "vect" { target { ! vect_multiple_sizes } } } } */
 /* { dg-final { scan-tree-dump-times "strided access in outer loop" 4 "vect" { target vect_multiple_sizes } } } */
 /* { dg-final { cleanup-tree-dump "vect" } } */
Index: gcc/testsuite/gcc.dg/vect/vect-outer-1-big-array.c
===================================================================
--- gcc/testsuite/gcc.dg/vect/vect-outer-1-big-array.c	(.../tags/gcc_4_7_2_release)	(wersja 194650)
+++ gcc/testsuite/gcc.dg/vect/vect-outer-1-big-array.c	(.../branches/gcc-4_7-branch)	(wersja 194650)
@@ -22,6 +22,6 @@
 }
 
 /* { dg-final { scan-tree-dump-times "OUTER LOOP VECTORIZED" 1 "vect" { xfail *-*-* } } } */
-/* { dg-final { scan-tree-dump-times "strided access in outer loop" 1 "vect" { xfail vect_multiple_sizes } } } */
+/* { dg-final { scan-tree-dump-times "strided access in outer loop" 1 "vect" { target { ! vect_multiple_sizes } } } } */
 /* { dg-final { scan-tree-dump-times "strided access in outer loop" 2 "vect" { target vect_multiple_sizes } } } */
 /* { dg-final { cleanup-tree-dump "vect" } } */
Index: gcc/testsuite/gcc.dg/vect/no-vfa-vect-101.c
===================================================================
--- gcc/testsuite/gcc.dg/vect/no-vfa-vect-101.c	(.../tags/gcc_4_7_2_release)	(wersja 194650)
+++ gcc/testsuite/gcc.dg/vect/no-vfa-vect-101.c	(.../branches/gcc-4_7-branch)	(wersja 194650)
@@ -45,7 +45,7 @@
 }
 
 /* { dg-final { scan-tree-dump-times "vectorized 1 loops" 0 "vect" } } */
-/* { dg-final { scan-tree-dump-times "can't determine dependence" 1 "vect" { xfail vect_multiple_sizes } } } */
+/* { dg-final { scan-tree-dump-times "can't determine dependence" 1 "vect" { target { ! vect_multiple_sizes } } } } */
 /* { dg-final { scan-tree-dump-times "can't determine dependence" 2 "vect" { target vect_multiple_sizes } } } */
 /* { dg-final { cleanup-tree-dump "vect" } } */
 
Index: gcc/testsuite/gcc.dg/vect/no-vfa-vect-102.c
===================================================================
--- gcc/testsuite/gcc.dg/vect/no-vfa-vect-102.c	(.../tags/gcc_4_7_2_release)	(wersja 194650)
+++ gcc/testsuite/gcc.dg/vect/no-vfa-vect-102.c	(.../branches/gcc-4_7-branch)	(wersja 194650)
@@ -53,7 +53,7 @@
 }
 
 /* { dg-final { scan-tree-dump-times "vectorized 1 loops" 0 "vect" } } */
-/* { dg-final { scan-tree-dump-times "possible dependence between data-refs" 1 "vect" { xfail vect_multiple_sizes } } } */
+/* { dg-final { scan-tree-dump-times "possible dependence between data-refs" 1 "vect" { target { ! vect_multiple_sizes } } } } */
 /* { dg-final { scan-tree-dump-times "possible dependence between data-refs" 2 "vect" { target vect_multiple_sizes } } } */
 /* { dg-final { cleanup-tree-dump "vect" } } */
 
Index: gcc/testsuite/gcc.dg/vect/vect-reduc-dot-s8b.c
===================================================================
--- gcc/testsuite/gcc.dg/vect/vect-reduc-dot-s8b.c	(.../tags/gcc_4_7_2_release)	(wersja 194650)
+++ gcc/testsuite/gcc.dg/vect/vect-reduc-dot-s8b.c	(.../branches/gcc-4_7-branch)	(wersja 194650)
@@ -58,7 +58,7 @@
 }
 
 /* { dg-final { scan-tree-dump-times "vect_recog_dot_prod_pattern: detected" 1 "vect" { xfail *-*-* } } } */
-/* { dg-final { scan-tree-dump-times "vect_recog_widen_mult_pattern: detected" 1 "vect" { xfail vect_multiple_sizes } } } */
+/* { dg-final { scan-tree-dump-times "vect_recog_widen_mult_pattern: detected" 1 "vect" { target { ! vect_multiple_sizes } } } } */
 /* { dg-final { scan-tree-dump-times "vect_recog_widen_mult_pattern: detected" 2 "vect" { target vect_multiple_sizes } } } */
 
 /* { dg-final { scan-tree-dump-times "vectorized 1 loops" 1 "vect" { xfail *-*-* } } } */
Index: gcc/testsuite/gcc.dg/vect/pr52298.c
===================================================================
--- gcc/testsuite/gcc.dg/vect/pr52298.c	(.../tags/gcc_4_7_2_release)	(wersja 194650)
+++ gcc/testsuite/gcc.dg/vect/pr52298.c	(.../branches/gcc-4_7-branch)	(wersja 194650)
@@ -1,4 +1,3 @@
-/* { dg-do run } */
 /* { dg-options "-O1 -ftree-vectorize -fno-tree-pre -fno-tree-loop-im" } */
 
 extern void abort (void);
Index: gcc/testsuite/gcc.dg/vect/vect-outer-1.c
===================================================================
--- gcc/testsuite/gcc.dg/vect/vect-outer-1.c	(.../tags/gcc_4_7_2_release)	(wersja 194650)
+++ gcc/testsuite/gcc.dg/vect/vect-outer-1.c	(.../branches/gcc-4_7-branch)	(wersja 194650)
@@ -22,6 +22,6 @@
 }
 
 /* { dg-final { scan-tree-dump-times "OUTER LOOP VECTORIZED" 1 "vect" { xfail *-*-* } } } */
-/* { dg-final { scan-tree-dump-times "strided access in outer loop" 1 "vect" { xfail vect_multiple_sizes } } } */
+/* { dg-final { scan-tree-dump-times "strided access in outer loop" 1 "vect" { target { ! vect_multiple_sizes } } } } */
 /* { dg-final { scan-tree-dump-times "strided access in outer loop" 2 "vect" { target vect_multiple_sizes } } } */
 /* { dg-final { cleanup-tree-dump "vect" } } */
Index: gcc/testsuite/gcc.dg/vect/vect-outer-1b-big-array.c
===================================================================
--- gcc/testsuite/gcc.dg/vect/vect-outer-1b-big-array.c	(.../tags/gcc_4_7_2_release)	(wersja 194650)
+++ gcc/testsuite/gcc.dg/vect/vect-outer-1b-big-array.c	(.../branches/gcc-4_7-branch)	(wersja 194650)
@@ -22,6 +22,6 @@
 }
 
 /* { dg-final { scan-tree-dump-times "OUTER LOOP VECTORIZED" 1 "vect" { xfail *-*-* } } } */
-/* { dg-final { scan-tree-dump-times "strided access in outer loop" 1 "vect" { xfail vect_multiple_sizes } } } */
+/* { dg-final { scan-tree-dump-times "strided access in outer loop" 1 "vect" { target { ! vect_multiple_sizes } } } } */
 /* { dg-final { scan-tree-dump-times "strided access in outer loop" 2 "vect" { target vect_multiple_sizes } } } */
 /* { dg-final { cleanup-tree-dump "vect" } } */
